<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="LinkList">
		<table border="0" cellpadding="0" cellspacing="0" width="100%">
		<tr>
			<td height="10"></td>
		</tr>
		<tr>
			<td align="left" valign="top" style="padding-left:5px; padding-right:5px;">
			<xsl:apply-templates select="LinkObject" mode="ViewIndexList">
				<xsl:sort select="@id" data-type="number"/>
			</xsl:apply-templates>
			</td>
		</tr>
		</table>
	</xsl:template>
	<xsl:template match="LinkObject" mode="ViewIndexList">
		<xsl:param name="parentID" />
		<xsl:param name="display" />
		
		<xsl:variable name="thisID">
			<xsl:choose>
				<xsl:when test="$parentID=''"><xsl:value-of select="@id" /></xsl:when>
				<xsl:otherwise><xsl:value-of select="$parentID"/>_<xsl:value-of select="@id" /></xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="paddingLeft">
			<xsl:choose>
				<xsl:when test="$parentID=''">0</xsl:when>
				<xsl:otherwise>5</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<div open="false" id="menu{$thisID}" style="padding:3px 0 3px {$paddingLeft}px; display:{$display};">
			<ul style="overflow:hidden;">
				<li style="width:12px; float:left; padding-top:4px;">
					<xsl:choose>
						<xsl:when test="count(LinkObject)=0"><img src="../images/append_index_point.gif" width="12" height="12" border="0" /></xsl:when>
						<xsl:otherwise><img src="../images/append_index_plus.gif" id="Img_Cat_{$thisID}" width="12" height="12" border="0" style="cursor:pointer;" onclick="javascript:_clickPlusMinus(event, this, '{$thisID}');"/></xsl:otherwise>
					</xsl:choose>
				</li>
				<li style="margin-left:15px; font-family:verdana; font-size:12px; color:#333333; letter-spacing:-1px; line-height:18px; border-bottom:1px solid #eeeeee;">
					<xsl:choose>
						<xsl:when test="Target/@real">
							<a style="cursor:pointer;" onclick="javascript:selMenu({Target/@real}, this, '{$thisID}', true)" id="Clicker{$thisID}" title="{Description}"><xsl:value-of select="Description"/></a>
						</xsl:when>
						<xsl:otherwise>
							<a style="cursor:pointer;" onclick="javascript:selMenu({Target/@value}, this, '{$thisID}')" id="Clicker{$thisID}" title="{Description}"><xsl:value-of select="Description"/></a>
						</xsl:otherwise>
					</xsl:choose>
				</li>
			</ul>
			<xsl:apply-templates select="LinkObject" mode="ViewIndexList">
				<xsl:sort select="@id" data-type="number" />
				<xsl:with-param name="parentID"><xsl:value-of select="$thisID" /></xsl:with-param>
				<xsl:with-param name="display">none</xsl:with-param>
			</xsl:apply-templates>
		</div>
	</xsl:template>
</xsl:stylesheet>