String.prototype.trim=function(){
	return this.replace(/^\s\s*/, "").replace(/\s\s*$/, "");
}
String.prototype.isNumeric=function(){
	var re=new RegExp("[^0-9]", "g");
	return !(re.test(this));
}
String.prototype.isAlphaNumeric=function(){
	var re=new RegExp("[^A-Za-z0-9]", "g");
	return !(re.test(this));
}
String.prototype.isInteger=function(){
	var re=new RegExp("[^0-9]", "g");
	if(re.test(this)) return false;
	else if(this.indexOf("0")==0) return false;
	else return true;
}
String.prototype.isDate=function(){
	var str=this.replaceDateStr();
	var arr=str.split("/");
	if(arr.length!=3) return false;
	for(var i=0; i<arr.length; i++){
		if(!arr[i].isNumeric()) return false;
	}
	
	arr[1]=(arr[1].length==2 && arr[1].indexOf("0")==0)?arr[1].substring(1, 2):arr[1];
	arr[2]=(arr[2].length==2 && arr[2].indexOf("0")==0)?arr[2].substring(1, 2):arr[2];
	var nYear=parseInt(arr[0]);
	var nMonth=parseInt(arr[1]);
	var nDate=parseInt(arr[2]);
	if(isNaN(nYear) || isNaN(nMonth) || isNaN(nMonth)) return false;
	else if(nMonth<1 || nMonth>12) return false;
	else if(nDate<1 || nDate>31) return false;
	
	var oDate=new Date(nYear, nMonth-1, nDate);
	if(oDate.getMonth()!=(nMonth-1)) return false;
	return true;
}
String.prototype.replaceDateStr=function(){
	var ret=this.trim().toHankaku().replace(/[- 년월年月]/g, "/").replace(/[일日]/g, "");
	if(ret.isInteger() && ret.length==8) ret=ret.substring(0,4)+"/"+ret.substring(4,6)+"/"+ret.substring(6,8);
	return ret;
}
String.prototype.isNumber=function(){
	return this.replace(/^[　\s]+|[　\s]+$/g, "");
}
String.prototype.isValidEmail=function(){
	var re=new RegExp("^[A-Z0-9._%+-]+@[A-Z0-9.-]+\\.[A-Z]{2,4}$", "gi");
	return re.test(this);
}